Linux Kernel 5.19.12 bug could damage Intel laptop displays

Gandalf_The_Grey

Level 79
Thread author
Verified
Honorary Member
Top Poster
Content Creator
Well-known
Apr 24, 2016
6,840
Linux users have reported seeing weird white flashes and rapid blinking on their Intel laptop displays after upgrading to Linux kernel version 5.19.12, leading to warnings that the bug may damage displays.

Linux kernel version 5.19.12 isn't experimental or beta but a point release of the stable branch that came out on September 28, 2022.

Besides being a visual annoyance, the unexpected screen flickering prevents users from doing anything on their systems, and Intel Linux kernel engineer Ville Syrjäl warns that it could also damage the display.

After analyzing the Linux logs of users affected by the issue, Syrjäl replied to the kernel mailing list saying that the problem lies in bogus panel power sequencing delays, which may harm the panels.

Syrjä recommended immediate reversion of the Linux Kernel to an older version to avoid causing hardware damage on people's machines and to publish a recommendation that "no one using laptops with Intel GPUs run 5.19.2".

Unfortunately, this realization came after many users had already upgraded to the buggy Linux version, risking damage to their systems and becoming forced to apply kernel version downgrades.

The most sizable community of users impacted by the problem was that of Framework laptops, reporting issues with Arch and Fedora following an upgrade to Linux kernel 5.19.2.

Greg Kroah-Hartman, the leading maintainer of the stable branch, released kernel version 5.19.13 on Tuesday, resolving the problem and giving Linux distributions a safe stepping stone to bounce to.

"This release is to resolve a regression on some Intel graphics systems that had problems with 5.19.12. If you do not have this problem with 5.19.12, there is no need to upgrade," reads the release announcement.

Popular Arch-based distribution Majaro has already announced they'll jump from 5.19.7 directly to 5.19.13, avoiding introducing risks to users of Intel GPU laptops.

However, given the delay in pushing Linux kernel upgrades on many other distributions, the buggy version might land on some of them later.

Users are advised to check the kernel version numbers before upgrading and avoid Linux 5.19.12 if they're using an Intel laptop.

Those already impacted by the bug are advised not to leave their displays operating in the blinking mode for long, as this increases the chances of causing irreversible damage to the screen.

Typically, bootloaders allow users to pick from the last three kernel versions, so reverting to a non-problematic version shouldn't be too hard.

If you don't see the option on Grub, press and hold the "Shift" button on your keyboard while booting.
 

upnorth

Moderator
Verified
Staff Member
Malware Hunter
Well-known
Jul 27, 2015
5,458
Dance Movie GIF by Hollywood Suite
 

About us

  • MalwareTips is a community-driven platform providing the latest information and resources on malware and cyber threats. Our team of experienced professionals and passionate volunteers work to keep the internet safe and secure. We provide accurate, up-to-date information and strive to build a strong and supportive community dedicated to cybersecurity.

User Menu

Follow us

Follow us on Facebook or Twitter to know first about the latest cybersecurity incidents and malware threats.

Top